Skip to main content
GET
/
api
/
v1
/
incidents
List incidents for the authenticated org
curl --request GET \
  --url https://api.devhelm.io/api/v1/incidents \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.devhelm.io/api/v1/incidents"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.devhelm.io/api/v1/incidents', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": 123,
      "affectedRegions": [
        "<string>"
      ],
      "reopenCount": 123,
      "statusPageVisible": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "triggeredByRule": "<string>",
      "createdByUserId": 123,
      "serviceIncidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "serviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "externalRef": "<string>",
      "affectedComponents": [
        "<string>"
      ],
      "shortlink": "<string>",
      "startedAt": "2023-11-07T05:31:56Z",
      "confirmedAt": "2023-11-07T05:31:56Z",
      "resolvedAt": "2023-11-07T05:31:56Z",
      "cooldownUntil": "2023-11-07T05:31:56Z",
      "monitorName": "<string>",
      "serviceName": "<string>",
      "serviceSlug": "<string>",
      "monitorType": "<string>",
      "resourceGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "resourceGroupName": "<string>",
      "triggeringCheckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "triggeredByRuleSnapshotHashHex": "<string>",
      "triggeredByRuleIndex": 123,
      "engineVersion": "<string>"
    }
  ],
  "hasNext": true,
  "hasPrev": true,
  "totalElements": 123,
  "totalPages": 123
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Query Parameters

params
object
required

Response

OK

data
object[]
required
hasNext
boolean
required
hasPrev
boolean
required
totalElements
integer<int64> | null
totalPages
integer<int32> | null